## perlsgml 1996Oct09-5bo1.1

=== debian/changelog ===
perlsgml (1996Oct09-5bo1.1) bo-unstable; urgency=low

  * change distribution to frozen unstable 

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Tue, 20 May 1997 21:16:28 -0400

perlsgml (1996Oct09-5) unstable; urgency=low

  * Fix Bug#9299: Generalize perl dependency to accept either perl-base | perl
  * Fix Bug#9301: Put perl library files into /usr/lib/perl5
  * Fix Bug#9302: Adjust DOCURL in dtd2html to point to a local file.

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Mon, 5 May 1997 21:35:22 -0400

perlsgml (1996Oct09-4) unstable; urgency=low

  * Fix Bug#9124 (change dependency on perl-base to dependency on perl) 

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Sat, 3 May 1997 00:51:03 -0400

perlsgml (1996Oct09-3) unstable; urgency=low

  * Moved /usr/doc/CHANGES to /usr/doc/perlsgml/CHANGES

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Tue, 18 Feb 1997 12:16:48 -0500

perlsgml (1996Oct09-2) unstable; urgency=low

  * Patched dtd.pl so that it is no longer necessary to set SGML_SEARCH_PATH 

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Sat, 15 Feb 1997 18:06:26 -0500

perlsgml (1996Oct09-1) unstable; urgency=low

  * Initial Release.

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Wed, 12 Feb 1997 19:46:58 -0500

Local variables:
mode: debian-changelog
End:

## perlsgml 1996Oct09-6

=== Makefile ===
##	@(#)  Makefile 1.1 96/09/30 @(#)

SCRIPTS = \
    dtd2html \
    dtddiff \
    dtdtree \
    dtdview \
    install.me \
    stripsgml \
    # End of list

all:
	chmod a+x $(SCRIPTS)
	chmod -R a+r,a+X .

=== doc/Makefile ===

HTMLDOCS = \
    dtd2html.html \
    dtd_pl.html \
    dtddiff.html \
    dtdtree.html \
    perlSGML.html \
    sgml_pl.html \
    stripsgml.html

HTML2TXTCMD = lynx -dump -nolist -underscore

textdoc:
	chmod 644 $(HTMLDOCS)
	$(HTML2TXTCMD) dtd2html.html > dtd2html.txt
	$(HTML2TXTCMD) dtd_pl.html > dtd_pl.txt
	$(HTML2TXTCMD) dtddiff.html > dtddiff.txt
	$(HTML2TXTCMD) dtdtree.html > dtdtree.txt
	$(HTML2TXTCMD) perlSGML.html > perlSGML.txt
	$(HTML2TXTCMD) sgml_pl.html > sgml_pl.txt
	$(HTML2TXTCMD) stripsgml.html > stripsgml.txt
	chmod 644 *

=== debian/changelog ===
perlsgml (1996Oct09-6) frozen unstable; urgency=low

  * change distribution to frozen unstable 

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Tue, 20 May 1997 21:16:28 -0400

=== debian/control ===
Source: perlsgml
Section: text
Priority: optional
Maintainer: Susan G. Kleinmann <sgk@kleinmann.com>
Standards-Version: 2.1.2.2

Package: perlsgml
Architecture: any
Depends: perl|perl-base
Description: perlSGML is a suite of HTML analysis tools from Earl Hood.
 dtd2html produces an HTML document starting from an SGML DTD that permits 
 an easy hypertext navigation through the given DTD. 
 .
 dtddiff compares two DTDs and shows possible differences. 
 .
 dtdtree shows visually the hierarchical tree structure characterizing 
 the relations between the various elements of a DTD. 
 .
 dtdview is an interactive program for studying an SGML DTD.
 .
 stripsgml strips a text from its SGML markup, and attempts to translate 
 entity references by standard ASCII characters.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=perlsgml

build:
	$(checkdir)
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' dtd2html | \
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/dtd2html\.html/file:\/usr\/doc\/perlsgml\/dtd2html\.html/' > dtd2html.deb
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' dtddiff \
	    > dtddiff.deb
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' dtdtree \
	    > dtdtree.deb
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' dtdview \
	    > dtdview.deb
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' stripsgml \
	    > stripsgml.deb
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtd2html.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtd2html.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtd_pl.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtd_pl.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtddiff.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtddiff.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtdtree.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtdtree.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtdview.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtdview.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/perlSGML.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/perlSGML.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/sgml_pl.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/sgml_pl.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/stripsgml.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/stripsgml.html
	touch build

clean:
	$(checkdir)
	-rm -f *.deb
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' install.me | \
	  sed -e 's/\(.*\)perlprg\(.*\)libdir/\1perlprg\2abslibdir/' | \
	  sed -e 's/usr\/lib\/sgml/usr\/lib\/perl5/' > install.me.deb
	chmod 755 install.me.deb
	./install.me.deb debian/install.cfg.deb
	rm debian/tmp/usr/doc/perlsgml/*.txt*
	cp -a CHANGES debian/tmp/usr/doc/perlsgml
	chown -R root.root debian/tmp/usr/doc/perlsgml/CHANGES
	chmod -R 644 debian/tmp/usr/doc/perlsgml/CHANGES
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd -m README.1ST  CHANGES: dtd2html.CHG dtd_pl.CHG dtddiff.CHG 
	debstd -m debian/*.html
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
